import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for DeliveryItem
void main() {
  final instance = DeliveryItemBuilder();
  // TODO add properties to the builder and call build()

  group(DeliveryItem, () {
    // String articleId
    test('to test the property `articleId`', () async {
      // TODO
    });

    // ERP-Belegzeilen-Nr (Position innerhalb des Belegs).
    // int belegzeilenNr
    test('to test the property `belegzeilenNr`', () async {
      // TODO
    });

    // String deliveryId
    test('to test the property `deliveryId`', () async {
      // TODO
    });

    // String id
    test('to test the property `id`', () async {
      // TODO
    });

    // Bei Items aus einer Stückliste: Artikelnummer der Komponente. Bei regulären Belegzeilen: `None`.
    // String komponentenArtikelNr
    test('to test the property `komponentenArtikelNr`', () async {
      // TODO
    });

    // int requiredQuantity
    test('to test the property `requiredQuantity`', () async {
      // TODO
    });

    // ScanState scanState
    test('to test the property `scanState`', () async {
      // TODO
    });

    // String warehouseId
    test('to test the property `warehouseId`', () async {
      // TODO
    });

  });
}
